Bug 155872 - New port: devel/pure-gen - A C interface generator for the Pure language
Summary: New port: devel/pure-gen - A C interface generator for the Pure language
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-22 21:10 UTC by lichray
Modified: 2011-04-12 03:30 UTC (History)
0 users

See Also:


Attachments
pure-gen.shar (2.65 KB, text/plain)
2011-03-22 21:10 UTC, lichray
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2011-03-22 21:10:00 UTC
	pure-gen is a C interface generator for the Pure language. It can be used to generated the Pure bindings to C libs, like pure-gtk. Check here for details:
	https://code.google.com/p/pure-lang/wiki/Addons#pure-gen

Fix: Note that this port requires a Haskell module, and my method to specify the dependence may not be good enough.
Comment 1 Wen Heping freebsd_committer 2011-03-23 00:30:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-04-12 03:24:52 UTC
wen         2011-04-12 02:24:38 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/pure-gen       Makefile distinfo pkg-descr pkg-plist 
  Log:
  pure-gen is a C interface generator for the Pure language. It takes a C
  header file as input and generates a corresponding Pure module with the
  constant definitions and extern declarations needed to use the C module
  from Pure. pure-gen can also generate FFI interfaces rather than externs
  (using the pure-ffi module, see below), and it can optionally create a C
  wrapper module which allows you to create interfaces to pretty much any
  code which can be called via C. Interfaces to C++ can be made using SWIG's
  new C language module which can wrap arbitrary C++ libraries in C.
  
  WWW:    http://docs.pure-lang.googlecode.com/hg/pure-gen.html
  
  PR:             ports/155872
  Submitted by:   Zhihao Yuan <lichray@gmail.com>
  
  Revision  Changes    Path
  1.4300    +1 -0      ports/devel/Makefile
  1.1       +37 -0     ports/devel/pure-gen/Makefile (new)
  1.1       +2 -0      ports/devel/pure-gen/distinfo (new)
  1.1       +10 -0     ports/devel/pure-gen/pkg-descr (new)
  1.1       +3 -0      ports/devel/pure-gen/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2011-04-12 03:28:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!